namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Spinner::wrap_get() const
{
   Eina_Bool __return_value =  ::elm_obj_spinner_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::wrap_set( ::efl::eolian::in_traits<bool>::type wrap) const
{
    ::elm_obj_spinner_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(wrap));
}
inline ::efl::eolian::return_traits<int>::type Spinner::round_get() const
{
   int __return_value =  ::elm_obj_spinner_round_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::round_set( ::efl::eolian::in_traits<int>::type rnd) const
{
    ::elm_obj_spinner_round_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(rnd));
}
inline ::efl::eolian::return_traits<bool>::type Spinner::editable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_spinner_editable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::editable_set( ::efl::eolian::in_traits<bool>::type editable) const
{
    ::elm_obj_spinner_editable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(editable));
}
inline ::efl::eolian::return_traits<double>::type Spinner::base_get() const
{
   double __return_value =  ::elm_obj_spinner_base_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::base_set( ::efl::eolian::in_traits<double>::type base) const
{
    ::elm_obj_spinner_base_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(base));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Spinner::label_format_get() const
{
   const char * __return_value =  ::elm_obj_spinner_label_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::label_format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type fmt) const
{
    ::elm_obj_spinner_label_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(fmt));
}
inline ::efl::eolian::return_traits<void>::type Spinner::special_value_add( ::efl::eolian::in_traits<double>::type value,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label) const
{
    ::elm_obj_spinner_special_value_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Spinner::wrap_get() const
{
   Eina_Bool __return_value =  ::elm_obj_spinner_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::wrap_set( ::efl::eolian::in_traits<bool>::type wrap) const
{
    ::elm_obj_spinner_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(wrap));
}
inline ::efl::eolian::return_traits<int>::type Spinner::round_get() const
{
   int __return_value =  ::elm_obj_spinner_round_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::round_set( ::efl::eolian::in_traits<int>::type rnd) const
{
    ::elm_obj_spinner_round_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(rnd));
}
inline ::efl::eolian::return_traits<bool>::type Spinner::editable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_spinner_editable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::editable_set( ::efl::eolian::in_traits<bool>::type editable) const
{
    ::elm_obj_spinner_editable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(editable));
}
inline ::efl::eolian::return_traits<double>::type Spinner::base_get() const
{
   double __return_value =  ::elm_obj_spinner_base_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::base_set( ::efl::eolian::in_traits<double>::type base) const
{
    ::elm_obj_spinner_base_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(base));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Spinner::label_format_get() const
{
   const char * __return_value =  ::elm_obj_spinner_label_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Spinner::label_format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type fmt) const
{
    ::elm_obj_spinner_label_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(fmt));
}
inline ::efl::eolian::return_traits<void>::type Spinner::special_value_add( ::efl::eolian::in_traits<double>::type value,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label) const
{
    ::elm_obj_spinner_special_value_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label));
}
inline elm::Spinner::operator ::elm::Spinner() const { return *static_cast< ::elm::Spinner const*>(static_cast<void const*>(this)); }
inline elm::Spinner::operator ::elm::Spinner&() { return *static_cast< ::elm::Spinner*>(static_cast<void*>(this)); }
inline elm::Spinner::operator ::elm::Spinner const&() const { return *static_cast< ::elm::Spinner const*>(static_cast<void const*>(this)); }
} }

